Subject: [bug#29897] [PATCH core-updates] gnu: java-aqute-libg: Fix compilation on java8.

From: Chris Marusich <[email-masked]>
Date: Wed, 17 Jan 2018 00:30:03 -0800

Gábor Boskovits <[email-masked]> writes:

> * gnu/packages/java.scm (java-aqute-libg)[arguments]: Add keyword make-flags to use
>   source and target 1.7.

As a matter of Git style, the first line of a commit message should not
be longer than about 50 characters, and it should not span more than 1
line.  Maybe we could replace the first line with the following instead?

  gnu: java-aqute-libg: Explicitly build for Java 7.

In addition, the comment in the commit message is helpful, but it would
be better to move it or copy it into the actual source code.  That way,
when somebody reads the source, they'll know immediately why we
explicitly build for Java 7 without having to resort to searching the
Git history.

> +       #:make-flags (list (string-append "-Dant.build.javac.source=" "1.7")
> +                          (string-append "-Dant.build.javac.target=" "1.7"))

You can also write this list in the following form, which is simpler:

  (list "-Dant.build.javac.source=1.7" "-Dant.build.javac.target=1.7")

I'll make these changes and commit this in the next day or two, unless
you have additional comments or you submit a new patch before then.

- 
Chris